package stringers

// |@@| C

import (
	"gardening/src/lib"
	"gardening/src/mdl"
)

type GardenStringer struct {
}

func (this *GardenStringer) ToString(garden *mdl.Garden) (string, error) {
	if garden == nil {
		return "", nil
	}
	return garden.Name, nil
}
func (this *GardenStringer) MustToString(entity *mdl.Garden) string {
	s, err := this.ToString(entity)
	lib.Poe(err)
	return s
}
